/************************************************************************/
/* base64.h - base64 encode/decode functions header			*/
/************************************************************************/
/*
 *  (c)2002 Todd Shadburn
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/************************************************************************/


#ifndef _BASE64_H_
#define _BASE64_H_

#include <cutil/cutil_portable.h>


CUTIL_API int base64_encode(char *indata, int inlen, char **outdata, int *outlen);
CUTIL_API int base64_decode(char *indata, int inlen, char **outdata, int *outlen);


#endif
