/************************************************************************/
/* crc.h - CRC generation functions Header				*/
/************************************************************************/
/*
 *  (c)2003 Todd Shadburn
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/************************************************************************/

#ifndef _CRC_H_
#define _CRC_H_

#include <cutil/cutil_portable.h>


CUTIL_API int crc32_byte (unsigned long *crc,
		unsigned char byte);

CUTIL_API int crc32_buffer (unsigned long *crc,
		unsigned char *buffer,
		unsigned long length);

#endif

